shithub: riscv

Download patch

ref: 96b1debbf869ac135f3a0f22e8fdc57caaa15129
parent: c6d4cd09a395a24ee993c1edf1031e5b01adddde
author: BurnZeZ <devnull@localhost>
date: Thu Dec 6 20:41:27 EST 2018

add entries for il rcpu

--- /dev/null
+++ b/rc/bin/service/!il17019
@@ -1,0 +1,11 @@
+#!/bin/rc
+if(~ $#* 3){
+	netdir=$3
+	remote=$2!`{cat $3/remote}
+}
+fn server {
+	~ $#remote 0 || echo -n $netdir $remote >/proc/$pid/args
+	rm -f /env/'fn#server'
+	. <{n=`{read} && ! ~ $#n 0 && read -c $n} >[2=1]
+}
+exec tlssrv -a /bin/rc -c server
--- a/sys/lib/dist/ndb/common
+++ b/sys/lib/dist/ndb/common
@@ -325,6 +325,7 @@
 il=ncpunote port=17011
 il=tcpu port=17012
 il=cpu port=17013
+il=rcpu port=17019
 il=fsauth port=17020
 il=rexauth port=17021
 il=changekey port=17022